Bug 614530 - GWT search bar suggestions don't honour the selected type of entities
GWT search bar suggestions don't honour the selected type of entities
Product: RHQ Project
Classification: Other
Component: SearchBar (Show other bugs)
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Sunil Kondkar
Depends On:
  Show dependency treegraph
Reported: 2010-07-14 12:58 EDT by Lukas Krejci
Modified: 2015-02-01 18:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-02 03:23:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2010-07-14 12:58:19 EDT
Description of problem:

The search bar in GWT gui offers to limit the search to specific type of entities (resource, resource group, package, bundle, ...). The search suggestions don't honour that selection.

How reproducible:

Steps to Reproduce:
1. Go to the GWT gui through Administration -> Content -> Bundle
2. In the search bar, select "Users" as the type of the entity to search for
3. click on the down arrow in the search box
Actual results:
list of resources appears

Expected results:
list of entities of the selected type should appear
Comment 1 Joseph Marques 2010-09-24 12:01:42 EDT
commit 260db28def8e9f080f3cf4bda8df8a75e3bd81be
Author: Joseph Marques <joseph@redhat.com>
Date:   Thu Sep 23 07:45:41 2010 -0400

fix SearchBarPane so it searches for both resources and groups
Comment 2 Sunil Kondkar 2010-10-19 06:46:11 EDT
Verified on rhq build#423

The searchbarpane now displays the dropdown 'Search' with two options 'Resources' and 'Resource Groups'. The other options like package, bundle and users are removed.

Selecting the option 'Resources' searches for resources and selecting the option 'Resource Groups' searches for groups.
Comment 6 Heiko W. Rupp 2013-09-02 03:23:54 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.